lp:~valavanisalex/ubuntu/maverick/qtiplot/qtiplot-fix-605027-merge0.9.8-1

Created by Alex Valavanis on 2010-07-29 and last modified on 2010-07-29
Get this branch:
bzr branch lp:~valavanisalex/ubuntu/maverick/qtiplot/qtiplot-fix-605027-merge0.9.8-1
Only Alex Valavanis can upload to this branch. If you are Alex Valavanis please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Alex Valavanis
Status:
Development

Recent revisions

18. By Alex Valavanis on 2010-07-29

Removed debian-changes-0.9.8-1: Unnecessary

17. By Alex Valavanis on 2010-07-29

* Merge with Debian unstable (LP: #605027)
* debian/control: Fix Qt 4.7 compatibility (LP: #598826)
  + Build-Depends: libqtassistantclient-dev
  + Recommends: qt-assistant-compat
* Rm debian/patches/debian-changes-0.9.8-1: Maverick has Python 2.6
* New upstream release
* Bump standards version to 3.9.0
* Change python version to 2.6
* New upstream release
* Build QTeXEngine into program
* Bump liborigin2 dependency to >=1:06042009+svn1724
* Bump muparser dependency to 1.32
* New upstream release
* Switch to dpkg-source 3.0 (quilt) format
* Minor fix to patch 01_build_system.diff
* Add qwtplot3d to build.conf
* Bump standards version to 3.8.4
* Fix spelling errors in description
* Add misc depends in qtiplot-doc
* Remove patch 02_docbook_stylesheet and
  04_add_includes.diff
* Rename 03_fix_qti_wordlist.txt_path to
  02_fix_paths.diff

16. By Alex Valavanis on 2010-07-28

Merging shared upstream rev into target branch.

15. By Alex Valavanis on 2010-07-28

Merging shared upstream rev into target branch.

14. By Scott Howard on 2010-02-07

Rebuild against new SIP, no changes (LP: #518473)

13. By Scott Howard on 2009-12-08

* Synced with Debian testing, removed all previous Ubuntu changes
  (LP: #494111)
* New Ubuntu changes:
* debian/control
  - MOTU maintainers
* debian/01_build_system.diff
  - 's/python2.5/python2.6/'

12. By Scott Howard on 2009-11-02

* debian/patches/qwt_api_fix.patch
  - Fixed FTBFS from api change in qwt AND Sip (LP: #471238)
* debian/postinst
  - Removed python support since this FTBFS with Sip version in Karmic

11. By Jonathan Riddell on 2009-10-14

Rebuild with Sip 4.9

10. By Gudjon I. Gudjonsson on 2008-08-17

* New upstream release.
* Remove qtiplot/translations/*.ts in clean rules.
* Add patch 04_add_includes to include limits.h file.

9. By Gudjon I. Gudjonsson on 2008-06-12

* New upstream release. (Closes: #481054, #485821)
* Fix the clean target in rules.
* Remove 99_reduce_warnings. Merged in upstream.
* Add dependencies on libqt4-opengl-dev (Closes: #479886, #479520)
* Install binary in rules file. Something is wrong in makefile.
* Add a postinst script to compile .py files. (Closes: #471709)
* Add patch 03_fix_qti_wordlist.txt_path
* Add postrm script to remove .pyc files
* Move .py(c) files from /etc to /usr/share/qtiplot
* Add dependency on python-central (for py_compilefiles)
* Bump standard version to 3.8.0. No changes needed

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/qtiplot
This branch contains Public information 
Everyone can see this information.

Subscribers